gnutls_compression_get(3)

NAME
gnutls_compression_get - Returns the currently used compression algorithm.

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_compression_method_t gnutls_compression_get(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Get currently used compression algorithm.

RETURNS
the currently used compression method, a gnutls_compression_method_t value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.